Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162573 - Maya crashed with SIGSEGV in FC4 with I855GM Graphics
Summary: Maya crashed with SIGSEGV in FC4 with I855GM Graphics
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-06 13:47 UTC by Somsak Sriprayoonsakul
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-14 08:41:09 UTC


Attachments (Terms of Use)
Debugging message (from GDB) (deleted)
2005-07-06 13:48 UTC, Somsak Sriprayoonsakul
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 3076 None None None Never

Description Somsak Sriprayoonsakul 2005-07-06 13:47:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I tried to run Maya 6.0.1 on my system The installation goes fine, but when I run "maya" command. The program show Logo and licensing information, then crashed with SIGSEGV. I tried to run maya in debug mode (maya -d gdb) and there're two failure occured

1. SIGFPE sent when function _mesa_test_os_sse_exception_support was called, this also happened with glxgear demo comes with xorg-x11, somehow I could ignore it and continue the debugger

2. SIGSEGV occured in __driGarbageCollectDrawables (), called from driCreateNewContext(). 

As I googling through the web. There's a blog at http://translate.google.com/translate?hl=en&sl=it&u=http://www.adamantio.net/article359.html&prev=/search%3Fq%3Dmaya%2Bfedora%2Bcore%2B4%26hl%3Den%26lr%3D%26sa%3DG.
said that he can run Maya in FC4 (using NVIDIA?). So I supposed that this is the problem only on my system. Also I'm familiar with bug 161242 which effect Intel graphics chipset so I thought that this might be another variant of the bug.

Here's my system information
Notebook: Dell Latitude D500
Memory: 768MB
Graphics: I855GM Chipset
Xorg driver: i810
xdriinfo returned "Screen 0: i915"


Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-37, Maya6_0-6.0.1-69

How reproducible:
Always

Steps to Reproduce:
1. Install maya 6.0.1
2. Run it (/usr/aw/maya/bin/maya), Alias Wavefront logo pop-up
3. Crashed
  

Actual Results:  Crashed

Expected Results:  At least GUI should pop-up. But only Logo pop-up and crashed

Additional info:

Comment 1 Somsak Sriprayoonsakul 2005-07-06 13:48:18 UTC
Created attachment 116409 [details]
Debugging message (from GDB)

This is debugging message from "maya -d gdb"

Comment 2 Mike A. Harris 2005-08-30 11:27:17 UTC
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL for tracking.

Comment 3 Somsak Sriprayoonsakul 2005-08-30 11:44:34 UTC
I found that similar bug has been posted to 

https://bugs.freedesktop.org/show_bug.cgi?id=3076

This should be the same bug. Somehow I don't sure whether Intel has proprietary
DRI driver for I855GM? 

Comment 4 Mike A. Harris 2005-09-14 08:41:09 UTC
Thanks for the upstream bug URL.  Setting status to "UPSTREAM" for tracking
the bug in Xorg bugzilla.


Note You need to log in before you can comment on or make changes to this bug.